Subject: bug#17292: closed (Re: 24.3.90; ELPA : "make" makes an error compiling ada-build.el)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Apr 2014 19:42:02 +0000

Your bug report

#17292: 24.3.90; ELPA : "make" makes an error compiling ada-build.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17292: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17292
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 24.3.90; ELPA : "make" makes an error compiling ada-build.el
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Cc: Nicolas Richard <[email-masked]>, Stephen Leake <[email-masked]>
Date: Sat, 19 Apr 2014 21:41:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stephen Leake <[email-masked]> writes:
> Nicolas Richard <[email-masked]> writes:
>
>> I cloned the elpa git repo, ran "make externals" and "make", then got:
>
> I get:
>
> packages/ada-mode/ada-build.el:41:1:Error: Cannot open load file: wisi

Perhaps I have mixed the error messages from my different tries ? Not
sure.

Anyway, the error I reported is because wisi-compat did not exist in my
tree (sorry I did not state that clearly). My HEAD was at 0c8e3a1. I
updated my tree and the file now exists so I guess the error has
disappeared. I just tried : indeed, I don't have the error anymore (my
HEAD is 1905244ada36189d940fdf7e40d3498ae8917fed). I'm thus closing this
bug.

>> In toplevel form:
>> packages/ada-mode/ada-build.el:41:1:Error: Cannot open load file:
>> aucun fichier ou dossier de ce type, wisi-compat-24.2
>> make[1]: *** [packages/ada-mode/ada-build.elc] Erreur 1
>> make[1] : on quitte le répertoire « /home/youngfrog/sources/elpa »
>> make: *** [all-in-place] Erreur 2
>
> Apparently this make process does not take into account inter-package
> dependencies; ada-mode depends on wisi, and both were upgraded this
> morning.

The upgrade fixed the problem for me. Thanks.

> Do you have an older version of 'wisi' installed in ~/.emacs.d/elpa/?
> That would explain your symptom.

I don't, and I have a local patch so that ~/.emacs.d/elpa is not used
(see bug#17291) so it should not have interfered.

> Is there any way to indicate to the make process that it must build wisi
> first, and add it to the load path when building ada-mode?

IIUC, it does not necessarily byte-compile wisi first, but since the
build process invokes (package-initialize), wisi should still be
available (uncompiled) at the moment ada-mode is byte-compiled.

-- 
Nico.

Subject: 24.3.90; ELPA : "make" makes an error compiling ada-build.el
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Cc: Stephen Leake <[email-masked]>
Date: Fri, 18 Apr 2014 17:04:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I cloned the elpa git repo, ran "make externals" and "make", then got:

In toplevel form:
packages/ada-mode/ada-build.el:41:1:Error: Cannot open load file: aucun fichier ou dossier de ce type, wisi-compat-24.2
make[1]: *** [packages/ada-mode/ada-build.elc] Erreur 1
make[1] : on quitte le répertoire « /home/youngfrog/sources/elpa »
make: *** [all-in-place] Erreur 2

I applied the following patch, but probably this is not the right way
since the workaround clearly worked around something. I'm CC-ing Stephen
Leake who committed that code.

diff --git a/packages/wisi/wisi.el b/packages/wisi/wisi.el
index 62302b7..33b71e9 100755
--- a/packages/wisi/wisi.el
+++ b/packages/wisi/wisi.el
@@ -145,11 +145,9 @@
 (require 'cl-lib)
 (require 'wisi-parse)
 
-;; WORKAROUND: for some reason, this condition doesn't work in batch mode!
-;; (when (and (= emacs-major-version 24)
-;; 	   (= emacs-minor-version 2))
-  (require 'wisi-compat-24.2)
-;;)
+(when (and (= emacs-major-version 24)
+	   (= emacs-minor-version 2))
+  (require 'wisi-compat-24.2))
 
 ;;;; lexer

-- 
Nico.